//  ** Revision History **
//  30-Jun-1992 (AH) Look3D CheckMsg changed to SetMsg
//**************************************************************************
//                        Copyright (C) 1992-1995 EuroSource AB
//
//      FILE:           Vb2.H       
//
//      PURPOSE:        Header for EuroTools PUSH subclass. 
//
//      COMMENTS:        
//
//      HISTORY:         920525AH Prehistory
//
//**************************************************************************


#ifndef RC_INVOKED
//---------------------------------------------------------------------------
// Property list
//---------------------------------------------------------------------------
 
PPROPINFO proplistPush_Vb2[] =
{
    PPROPINFO_STD_CTLNAME,
    PPROPINFO_STD_INDEX,
    PPROPINFO_STD_PARENT,
    PPROPINFO_STD_BACKCOLOR,
    PPROPINFO_STD_LEFT,
    PPROPINFO_STD_TOP,
    PPROPINFO_STD_WIDTH,
    PPROPINFO_STD_HEIGHT,
    PPROPINFO_STD_ENABLED,
    PPROPINFO_STD_VISIBLE,
    PPROPINFO_STD_MOUSEPOINTER,
    PPROPINFO_STD_CAPTION,
    PPROPINFO_STD_FONTNAME,
    PPROPINFO_STD_FONTSIZE,
    PPROPINFO_STD_FONTBOLD,
    PPROPINFO_STD_FONTITALIC,
    PPROPINFO_STD_FONTSTRIKE,
    PPROPINFO_STD_FONTUNDER,
    PPROPINFO_STD_DRAGMODE,
    PPROPINFO_STD_DRAGICON,
    PPROPINFO_STD_TABINDEX,
    PPROPINFO_STD_TABSTOP,
    PPROPINFO_STD_TAG,
    &propinfoPushPictureUp,
    &propinfoPushPictureDown,
    PPROPINFO_STD_BORDERSTYLEON,
    &propinfoPushLook3D,
    &propinfoPushWidth3D,
    &propinfoPushShadow,
    &propinfoPushBorderWidth,
    &propinfoPushShadowWidth,
    &propinfoPushLight3DColor,
    &propinfoPushDark3DColor,
    &propinfoPushBorderColor,
    &propinfoPushShadowColor,
    &propinfoPushToggleStatus,
    &propinfoPushToggle,
    &propinfoPushButtonStyle,
    PPROPINFO_STD_FORECOLOR,
    &propinfoPushAlignHoriz,
    &propinfoPushAlignVert,
    &propinfoPushSmallFactor,
    &propinfoPushFont3D,
    &Property_Push_About,
    &propinfoPushFocusRect,
    &propinfoPushGroup,
    &propinfoPushGroupID,
    &propinfoPushGroupAllUp,
    &propinfoPushPictureDisabled,
    &propinfoPushhWnd,
    NULL
};

//---------------------------------------------------------------------------
// Event list
//---------------------------------------------------------------------------

PEVENTINFO eventlistPush_Vb2[] =
{
    PEVENTINFO_STD_CLICK,
    PEVENTINFO_STD_DRAGDROP,
    PEVENTINFO_STD_DRAGOVER,
    PEVENTINFO_STD_GOTFOCUS,
    PEVENTINFO_STD_KEYDOWN,
    PEVENTINFO_STD_KEYPRESS,
    PEVENTINFO_STD_KEYUP,
    PEVENTINFO_STD_LOSTFOCUS,
    NULL
};

//---------------------------------------------------------------------------
// Model struct
//---------------------------------------------------------------------------
// Define the control model (using the event and property structures).
//---------------------------------------------------------------------------
MODEL modelPush_Vb2 =
{                                                           
    VB200_VERSION,                     // VB version being used
    MODEL_fDesInteract | MODEL_fFocusOk | MODEL_fMnemonic,   // MODEL flags
    (PCTLPROC)PushCtlProc,          // Control procedure
    CS_VREDRAW | CS_HREDRAW,        // Class style
    BS_PUSHBUTTON | BS_OWNERDRAW |	// Default Window style
    WS_BORDER,
    sizeof(PUSH),           	// cbCtlExtra for PUSH structure
    IDBMP_PUSH,             	// Palette bitmap ID
    "EsCommand",	    		// Default control name
    "EsCommand",	    		// Visual Basic class name
    "Button",               	// Parent class name
    proplistPush_Vb2,           // Properties list
    eventlistPush_Vb2,          // Events list
	IPROP_PUSH_TOGGLESTATUS, 	// default property in code window : Value
	EVENT_PUSH_CLICK			// default event in code window
};

LPMODEL modellistPush_Vb2[] =
    {
    &modelPush_Vb2,
    NULL
    };

MODELINFO modelinfoPush_Vb2 =
    {
    VB200_VERSION, 			// VB version being used
    modellistPush_Vb2		// MODEL list
    };           
    
#endif  // RC_INVOKED
  
