//**************************************************************************
//                     Copyright (C) 1992-1995 EuroSource AB
//
//      FUNCTION:       ESCMD.H
//
//      PURPOSE:        Headerfile for ESCOMMAND custom control 
//
//      COMMENTS:        
//
//      HISTORY:        920506AH Prehistory 
//
//**************************************************************************

// take away comment here to build runtime-version
//#define RUNTIMEVERSION        1

// here we have define switches
// a switch should be defined for a custom control to
// be included in the VBX-file. This file is allways named
// Eurotool.vbx
  

#define VERSIONSTR      "EuroSource Buttons v.%2d.%2d.%2d.%3d"      

//---------------------------------------------------------------------------
// Helpful Macros
//---------------------------------------------------------------------------
#define OFFSETIN( struc, field )  ( (USHORT)&( ((struc *)0)->field ) )
 
#define OK      0L

//---------------------------------------------------------------------------
// Resource ID's
//---------------------------------------------------------------------------
// Toolbox bitmap resource IDs.
//---------------------------------------------------------------------------
// Push
#define IDBMP_PUSH          8000
#define IDBMP_PUSHDOWN      8001
#define IDBMP_PUSHMONO      8003
#define IDBMP_PUSHEGA       8006



// Public Prototypes
VOID FAR PASCAL _export DrawFont3D(HDC hDC, LPSTR CaptionStr, LPRECT rect, SHORT align, SHORT type3D, SHORT mode, DWORD txtcolor);
BOOL FAR PASCAL _export EnumButtons(HWND hWnd, DWORD lp); 
VOID FAR SetAboutText(HCTL hctl, UINT prop);
LONG FAR PASCAL _export AboutPopupWndProc(HWND hwnd, USHORT msg, USHORT wp, LONG lp);
BOOL FAR PASCAL _export AboutDlgProc(HWND hDlg, USHORT msg, USHORT wp, LONG lp);
HWND FAR HwndInitAboutPopup(VOID);
LONG FAR PASCAL _export ColorPopupWndProc(HWND hwnd, USHORT msg, USHORT wp, LONG lp);
BOOL FAR PASCAL _export ColorDlgProc(HWND hDlg, USHORT msg, USHORT wp, LONG lp);
HWND FAR HwndInitColorPopup(VOID);
VOID FAR PASCAL _export DrawButton(HDC hdc, LPRECT rect, LONG lightcolor, LONG darkcolor);
HWND FAR PASCAL _export GethWnd(HCTL hctl);
